import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { ComponentDoc } from '../interfaces/ComponentDoc';
export declare class FeatureComponent implements OnDestroy {
    private route;
    private changeRef;
    private title;
    private allDemos;
    private docs;
    compDoc: ComponentDoc;
    demos: any[];
    isAngular: boolean;
    hasUsages: boolean;
    private routeSub;
    constructor(route: ActivatedRoute, changeRef: ChangeDetectorRef, title: Title, allDemos: any[], docs: ComponentDoc[]);
    ngOnDestroy(): void;
    hasApi(): boolean;
    private titleFromDoc;
}
